## com.baidubce.services.bmr.model
Class StepConfig

    java.lang.Object
      com.baidubce.services.bmr.model.StepConfig

Direct Known Subclasses:
  HiveStepConfig, JavaStepConfig, PigStepConfig, StreamingStepConfig

    public class StepConfig

extends Object

Represent configuration for a BMR step. The derived class of StepConfig are used for configuration.

Constructor Summary
`StepConfig()`

Method Summary
`void` `addProperty(String key, String value)`
`String` `getActionOnFailure()`
`String` `getName()`
`Map<String,String>` `getProperties()`
`String` `getType()`
`void` `setActionOnFailure(String actionOnFailure)`
`void` `setName(String name)`
`void` `setProperties(Map<String,String> properties)`
`void` `setType(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepConfig

    public StepConfig()

Method Detail

### getActionOnFailure

    public String getActionOnFailure()

### setActionOnFailure

    public void setActionOnFailure(String actionOnFailure)

### getType

    public String getType()

### setType

    public void setType(String type)

### getName

    public String getName()

### setName

    public void setName(String name)

### getProperties

    public Map<String,String> getProperties()

### setProperties

    public void setProperties(Map<String,String> properties)

### addProperty

    public void addProperty(String key,
                            String value)

Copyright © 2016. All rights reserved.